# pandas.DataFrame.lookup

DataFrame.lookup(row_labels, col_labels)

  Label-based “fancy indexing” function for DataFrame. Given equal-length arrays of row and column labels, return an array of the values corresponding to each (row, col) pair.

  Deprecated since version 1.2.0: DataFrame.lookup is deprecated, use DataFrame.melt and DataFrame.loc instead. For further details see Looking up values by index/column labels.

  Parameters
    row_labels sequence

      The row labels to use for lookup.

    col_labels sequence

      The column labels to use for lookup.

  Returns
    numpy.ndarray

      The found values.